pub mod lua;
pub mod discord;
pub mod stdin;
pub mod echo;
pub mod random;
pub mod pvn;

pub mod loader;

use Tenquestionmarks;
use event::Event;

use std::sync::Arc;
use std::sync::mpsc::{Sender, Receiver};

pub trait Module : Sync {
    fn register (&self, tenquestionmarks: &Tenquestionmarks) {}
    fn consume_events (&self, receiver: Receiver<Arc<Event>>) {}
    fn produce_events<'a>(&'a self, sender: Sender<Arc<Event>>) {}
}
